"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const convertToNullableGraphQLStringType_1 = require("./convertToNullableGraphQLStringType");
const chai_1 = require("chai");
describe('convertToNullableGraphQLStringType', () => {
    it('with not null types', () => {
        const notNullType = convertToNullableGraphQLStringType_1.convertToNullableGraphQLStringType('Type!');
        chai_1.expect(notNullType).to.eq('Type');
        const notNullArrayType = convertToNullableGraphQLStringType_1.convertToNullableGraphQLStringType('[Type]!');
        chai_1.expect(notNullArrayType).to.eq('[Type]');
    });
    it('with nullable types', () => {
        const nullableType = convertToNullableGraphQLStringType_1.convertToNullableGraphQLStringType('Type');
        chai_1.expect(nullableType).to.eq('Type');
        const nullableArrayType = convertToNullableGraphQLStringType_1.convertToNullableGraphQLStringType('[Type]');
        chai_1.expect(nullableArrayType).to.eq('[Type]');
    });
    it('with deep not null type', () => {
        const nullableArrayType = convertToNullableGraphQLStringType_1.convertToNullableGraphQLStringType('[[Type]]');
        chai_1.expect(nullableArrayType).to.eq('[[Type]]');
        const arrayWithNotNullTypeOne = convertToNullableGraphQLStringType_1.convertToNullableGraphQLStringType('[Type!]');
        chai_1.expect(arrayWithNotNullTypeOne).to.eq('[Type]');
        const arrayWithNotNullTypeTwo = convertToNullableGraphQLStringType_1.convertToNullableGraphQLStringType('[Type!]!');
        chai_1.expect(arrayWithNotNullTypeTwo).to.eq('[Type]');
        const arrayWithNotNullTypeThree = convertToNullableGraphQLStringType_1.convertToNullableGraphQLStringType('[[[Type!]]!]');
        chai_1.expect(arrayWithNotNullTypeThree).to.eq('[[[Type]]]');
        const arrayWithNotNullTypeFour = convertToNullableGraphQLStringType_1.convertToNullableGraphQLStringType('[[[Type!]!]!]!');
        chai_1.expect(arrayWithNotNullTypeFour).to.eq('[[[Type]]]');
    });
});
//# sourceMappingURL=convertToNullableGraphQLStringType.test.js.map