"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.writeEntityLookup = void 0;
const mvp_1 = require("../../../building-blocks/stages/writing/pieces/mvp/mvp");
const writeDisplayNameFunction_1 = require("../../../building-blocks/stages/writing/pieces/display-name/writeDisplayNameFunction");
const writeDisplayNameFunctionsForRelations_1 = require("../../../building-blocks/stages/writing/pieces/display-name/writeDisplayNameFunctionsForRelations");
const path_1 = __importDefault(require("path"));
async function writeEntityLookup(templateModel, gen) {
    // Write screen component
    await mvp_1.writeAmplicodeComponent(templateModel, gen, path_1.default.join(__dirname, 'template', 'Lookup.tsx.ejs'));
    // Write getXXXDisplayName() function for listed entity
    await writeDisplayNameFunction_1.writeDisplayNameFunction({
        gen,
        entityName: templateModel.entityName,
        attributes: templateModel.allAttributes,
        dirShift: templateModel.relDirShift,
        idAttrName: templateModel.idField
    });
    await writeDisplayNameFunctionsForRelations_1.writeDisplayNameFunctionsForRelations(gen, templateModel.attributes, templateModel.relDirShift);
}
exports.writeEntityLookup = writeEntityLookup;
//# sourceMappingURL=write.js.map